%define name 	bluez-gnome
%define version 0.9
%define release %mkrel 1

Summary: 	Bluetooth PIN GUI
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://www.bluez.org/
License: 	GPL
Group: 		Communications
Source0: 	%name-%version.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  libdbus-glib-devel
BuildRequires:  libGConf2-devel
BuildRequires:  gtk2-devel

Buildroot: 	%_tmppath/%name-%version-buildroot

%description

A GTK2 helper app for Bluetooth PIN number.

%post
%update_menus

%postun
%clean_menus

%files -f bluetooth-manager.lang
%defattr(-,root,root)
%_sysconfdir/xdg/autostart/bluetooth-applet.desktop
%_bindir/bluetooth-applet
%_bindir/bluetooth-properties
%_datadir/applications/bluetooth-properties.desktop
%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas
%{_mandir}/man1/bluetooth-applet.1.bz2
%{_mandir}/man1/bluetooth-properties.1.bz2

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="HardwareSettings" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/bluetooth-properties.desktop

%find_lang bluetooth-manager

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Jun 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9-1mdv2008.0
+ Revision: 41764
- New version 0.9

* Fri Jun 08 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8-1mdv2008.0
+ Revision: 37578
- New version 0.8

* Sun May 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.7-1mdv2008.0
+ Revision: 28976
- New version 0.7


* Fri Mar 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.6-2mdv2007.0
+ Revision: 131004
- reenable menu, seems to need it for autostart

* Thu Mar 01 2007 Emmanuel Andry <eandry@mandriva.org> 0.6-1mdv2007.1
+ Revision: 130862
- fix buildrequires
- gtk2-devel
- libGConf2_4-devel
- buildrequires libdbus-glib-devel

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix mistakes in SPEC
    - Add BR
    - New release 0.6  Menu entry not needed its an applet

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 0.6

* Wed Sep 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4-1mdv2007.0
+ Revision: 60182
- import bluez-gnome-0.4-1mdv2007.0

* Wed Sep 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-1mdv2007.0
- First Mandriva release

